package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.Iterator;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/DesensitizeBankNameAction.class */
public class DesensitizeBankNameAction extends LifeAction {
    private String inputField;
    private String strJson;
    private String desensitization;
    private String targetName;
    private String bankName;

    public String getBankName() {
        return this.bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getTargetName() {
        return this.targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getInputField() {
        return this.inputField;
    }

    public void setInputField(String inputField) {
        this.inputField = inputField;
    }

    public String getStrJson() {
        return this.strJson;
    }

    public void setStrJson(String strJson) {
        this.strJson = strJson;
    }

    public String getDesensitization() {
        return this.desensitization;
    }

    public void setDesensitization(String desensitization) {
        this.desensitization = desensitization;
    }

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection l = context.getDataElement(this.inputField);
            if (l.isEmpty()) {
                return "0";
            }
            String bankNameNew = (String) context.get(this.bankName);
            KeyedCollection k = l.getElementAt(0);
            JSONArray jsonArray = JSONArray.fromObject(new StringBuilder().append(k.get(this.strJson)).toString());
            for (int i = 0; i < jsonArray.size(); i++) {
                JSONObject jsonObject = jsonArray.getJSONObject(i);
                String target = (String) jsonObject.get(this.desensitization);
                if (!target.equals(bankNameNew) && !"合计".equals(target)) {
                    if (this.targetName == null || "".equals(this.targetName)) {
                        jsonObject.remove(this.desensitization);
                        jsonObject.put(this.desensitization, "******");
                    } else {
                        Iterator iterator = context.getDataElement(this.targetName).getDataElement().keySet().iterator();
                        while (true) {
                            if (iterator.hasNext()) {
                                if (((String) iterator.next()) == target) {
                                    jsonObject.remove(this.desensitization);
                                    jsonObject.put(this.desensitization, "******");
                                    break;
                                }
                            }
                        }
                    }
                }
            }
            k.remove(this.strJson);
            k.addDataField(this.strJson, jsonArray.toString());
            String sss = new StringBuilder().append(k.get(this.strJson)).toString();
            System.out.println(sss);
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", e.getMessage(), e);
            throw e;
        }
    }
}
